---
title: Delete Cloud Integration
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Cloud Networking](https://developers.cloudflare.com/api/go/resources/magic_cloud_networking)

[Cloud Integrations](https://developers.cloudflare.com/api/go/resources/magic_cloud_networking/subresources/cloud_integrations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Cloud Integration

client.MagicCloudNetworking.CloudIntegrations.Delete(ctx, providerID, body) (\*[CloudIntegrationDeleteResponse](<https://developers.cloudflare.com/api/go/resources/magic_cloud_networking#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(model)%20CloudIntegrationDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/magic/cloud/providers/{provider\_id}

Delete a Cloud Integration (Closed Beta).

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write`

##### ParametersExpand Collapse

providerID string

formatuuid

[Link to this property](<#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20provider_id%20%3E%20(schema)>)

<details>

<summary>

body CloudIntegrationDeleteParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CloudIntegrationDeleteResponse struct{…}

</summary>

ID string

formatuuid

<a href="#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(model)%20CloudIntegrationDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_cloud_networking.cloud_integrations%20%3E%20(model)%20CloudIntegrationDeleteResponse%20%3E%20(schema)>)

### Delete Cloud Integration

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_cloud_networking"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  cloudIntegration, err := client.MagicCloudNetworking.CloudIntegrations.Delete(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    magic_cloud_networking.CloudIntegrationDeleteParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", cloudIntegration.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
```